Bug 253712 - devel/newt: This port does not register shared libs
Summary: devel/newt: This port does not register shared libs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-20 06:36 UTC by radi-sh
Modified: 2021-02-24 14:19 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description radi-sh 2021-02-20 06:36:37 UTC
Does it have to register libnewt.so?
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-22 12:44:23 UTC
(In reply to masamory7 from comment #0)

What do you mean by that? What kind of register are you referring to?

Cheers
Comment 2 radi-sh 2021-02-24 01:52:20 UTC
# pkg info newt
...
There is no information about the "Shared Libs provided:".
Comment 3 commit-hook freebsd_committer 2021-02-24 14:15:35 UTC
A commit references this bug:

Author: fernape
Date: Wed Feb 24 14:14:59 UTC 2021
New revision: 566474
URL: https://svnweb.freebsd.org/changeset/ports/566474

Log:
  devel/newt: does not register shared libs

  pkg info -b newt does not show any shared libraries despite the port installing
  one.

  The framework uses the output of readelf -d to know if the library has a SONAME
  and this ports does not add a SONAME if it does not detect the GNU linker. Then,
  the resulting package does not register any shared libraries.

  * Patch configure.ac to learn and detect LLVM linker so it adds the SONAME to
    the library.
  * Add USE_LDCONFIG (portlint wrongly complains about not installing shared libs)

  PR:     253712
  Submitted by:   masamory7@gmail.com
  MFH:	2021Q1

Changes:
  head/devel/newt/Makefile
  head/devel/newt/files/patch-configure.ac
Comment 4 commit-hook freebsd_committer 2021-02-24 14:18:36 UTC
A commit references this bug:

Author: fernape
Date: Wed Feb 24 14:18:28 UTC 2021
New revision: 566476
URL: https://svnweb.freebsd.org/changeset/ports/566476

Log:
  MFH: r566474

  devel/newt: does not register shared libs

  pkg info -b newt does not show any shared libraries despite the port installing
  one.

  The framework uses the output of readelf -d to know if the library has a SONAME
  and this ports does not add a SONAME if it does not detect the GNU linker. Then,
  the resulting package does not register any shared libraries.

  * Patch configure.ac to learn and detect LLVM linker so it adds the SONAME to
    the library.
  * Add USE_LDCONFIG (portlint wrongly complains about not installing shared libs)

  PR:     253712
  Submitted by:   masamory7@gmail.com

Changes:
_U  branches/2021Q1/
  branches/2021Q1/devel/newt/Makefile
  branches/2021Q1/devel/newt/files/patch-configure.ac
Comment 5 Fernando Apesteguía freebsd_committer 2021-02-24 14:19:57 UTC
Committed and merged to 2021Q1

s/Submitted by/Reported by :-)

Thanks!